//
//  ContentMainTabAlarmRepository.swift
//  SodaLive
//
//  Created by klaus on 2/22/25.
//

import Foundation
import CombineMoya
import Combine
import Moya

final class ContentMainTabAlarmRepository {
    
    private let api = MoyaProvider<ContentApi>()
    
    func getContentMainAlarm() -> AnyPublisher<Response, MoyaError> {
        return api.requestPublisher(
            .getContentMainAlarm(
                isAdultContentVisible: UserDefaults.isAdultContentVisible(),
                contentType: ContentType(rawValue: UserDefaults.string(forKey: .contentPreference)) ?? ContentType.ALL
            )
        )
    }
    
    func getContentMainAlarmAll(theme: String, page: Int = 1, size: Int = 10) -> AnyPublisher<Response, MoyaError> {
        return api.requestPublisher(
            .getContentMainAlarmAll(
                theme: theme,
                isAdultContentVisible: UserDefaults.isAdultContentVisible(),
                contentType: ContentType(rawValue: UserDefaults.string(forKey: .contentPreference)) ?? ContentType.ALL,
                page: page,
                size: size
            )
        )
    }
}
